## alembic 1.8.1

=== docs/build/requirements.txt ===
git+https://github.com/sqlalchemyorg/changelog.git#egg=changelog
git+https://github.com/sqlalchemyorg/sphinx-paramlinks.git#egg=sphinx-paramlinks
git+https://github.com/sqlalchemy/sqlalchemy.git
python-dateutil
# because there's a dependency in pyfiles.py
Mako
importlib-metadata;python_version<"3.8"
importlib-resources;python_version<"3.9"
sphinx_copybutton

=== debian/changelog ===
alembic (1.8.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 13:47:38 +0200

alembic (1.8.1-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

  [ Thomas Goirand ]
  * New upstream release.
  * Refreshed 0001-Do-not-use-intersphinx.patch.
  * Add python3-sphinx-copybutton as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Sep 2022 16:59:04 +0200

=== debian/control ===
Source: alembic
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Ondřej Nový <onovy@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-changelog,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-copybutton,
 python3-sphinx-paramlinks,
Build-Depends-Indep:
 python3-dateutil,
 python3-editor,
 python3-mako,
 python3-mock,
 python3-pytest,
 python3-sqlalchemy,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/alembic
Vcs-Git: https://salsa.debian.org/python-team/packages/alembic.git
Homepage: https://github.com/sqlalchemy/alembic
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: alembic
Architecture: all
Depends:
 python3-alembic (=${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: lightweight database migration tool for SQLAlchemy
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.
 .
 This package provides /usr/bin/alembic script and documentation for Alembic,
 and depends on the python3-alembic package which contains all the actual code
 (in Python 3) for Alembic to actually work.

Package: python3-alembic
Architecture: all
Depends:
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends},
Description: lightweight database migration tool for SQLAlchemy - Python module
 Alembic is a new database migration tool, written by the author
 of SQLAlchemy. A migration tool offers the following functionality:
 .
  * Can emit ALTER statements to a database in order to change the
    structure of tables and other constructs
  * Provides a system whereby "migration scripts" may be constructed;
    each script indicates a particular series of steps that can
    "upgrade" a target database to a new version, and optionally a
    series of steps that can "downgrade" similarly, doing the same
    steps in reverse.
  * Allows the scripts to execute in some sequential manner.

## alembic 1.13.1

=== debian/changelog ===
alembic (1.13.1-4) unstable; urgency=medium

  * Team upload.
  * Fix failing tests with pytest 8.1 (Closes: #1067381)

  [ Ondřej Nový]
  * Remove myself from Uploaders.

 -- Bastian Germann <bage@debian.org>  Fri, 05 Apr 2024 19:21:20 +0000

alembic (1.13.1-3) unstable; urgency=medium

  * Team upload.
  * remove extraneous dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 25 Feb 2024 10:03:49 +0100

alembic (1.13.1-2) unstable; urgency=medium

  * Team upload.
  * Move to unstable.

 -- Bastian Germann <bage@debian.org>  Fri, 29 Dec 2023 22:14:30 +0100

alembic (1.13.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.13.1 (Closes: #1058204).
  * Build-Depend on python3-typing-extensions.

 -- Bastian Germann <bage@debian.org>  Thu, 21 Dec 2023 14:15:35 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
- Ondřej Nový <onovy@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
@@ -14,11 +13,11 @@
  python3-sphinx,
  python3-sphinx-copybutton,
  python3-sphinx-paramlinks,
+ python3-typing-extensions,
 Build-Depends-Indep:
  python3-dateutil,
  python3-editor,
  python3-mako,
- python3-mock,
  python3-pytest,
  python3-sqlalchemy,
 Standards-Version: 4.6.0

## alembic 1.13.2

=== debian/changelog ===
alembic (1.13.2-4) unstable; urgency=medium

  * Team upload.
  * Build-depend on tzdata-legacy (closes: #1086253).

 -- Colin Watson <cjwatson@debian.org>  Wed, 30 Oct 2024 18:58:12 +0000

alembic (1.13.2-3) unstable; urgency=medium

  * Team upload.
  * Remove now-unused dependency on python3-pkg-resources (closes:
    #1083301).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Oct 2024 17:18:08 +0100

alembic (1.13.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Colin Watson <cjwatson@debian.org>  Fri, 02 Aug 2024 13:49:35 +0100

alembic (1.13.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Jul 2024 10:32:08 +0100

alembic (1.13.1-5) unstable; urgency=medium

  * Team upload.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Tue, 30 Jul 2024 17:49:25 +0100

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-changelog,
  python3-setuptools,
@@ -20,6 +21,7 @@
  python3-mako,
  python3-pytest,
  python3-sqlalchemy,
+ tzdata-legacy,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/alembic
 Vcs-Git: https://salsa.debian.org/python-team/packages/alembic.git
@@ -54,7 +56,6 @@
 Package: python3-alembic
 Architecture: all
 Depends:
- python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

## alembic 1.16.4

=== docs/build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
AUTOBUILD     = sphinx-autobuild  --port 8080  --watch ../../alembic
PAPER         =
BUILDDIR      = output

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html autobuild dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  autobuild  autobuild and run a webserver"
	@echo "  dist-html same as html, but places files in /doc"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

autobuild:
	$(AUTOBUILD) $(ALLSPHINXOPTS) $(BUILDDIR)/html

dist-html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	cp -R $(BUILDDIR)/html/* ../
	rm -fr $(BUILDDIR)/html
	@echo
	@echo "Build finished.  The HTML pages are in ../."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Alembic.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Alembic.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== docs/build/requirements.txt ===
git+https://github.com/sqlalchemyorg/changelog.git#egg=changelog
git+https://github.com/sqlalchemyorg/sphinx-paramlinks.git#egg=sphinx-paramlinks
git+https://github.com/sqlalchemy/sqlalchemy.git
backports.zoneinfo;python_version<"3.9"
# because there's a dependency in pyfiles.py
Mako
importlib-metadata;python_version<"3.9"
importlib-resources;python_version<"3.9"
sphinx_copybutton==0.5.1
sphinx-book-theme

=== debian/changelog ===
alembic (1.16.4-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 11:25:09 +0200

alembic (1.16.4-1) experimental; urgency=medium

  * New upstream release.
  * Added black as build-depends.
  * Added python3-sphinx-book-theme as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 12:24:15 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,12 @@
  python3-changelog,
  python3-setuptools,
  python3-sphinx,
+ python3-sphinx-book-theme,
  python3-sphinx-copybutton,
  python3-sphinx-paramlinks,
  python3-typing-extensions,
 Build-Depends-Indep:
+ black,
  python3-dateutil,
  python3-editor,
  python3-mako,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export PYBUILD_NAME=alembic
export PYBUILD_BEFORE_TEST=cp {dir}/setup.cfg {build_dir}
export PYBUILD_AFTER_TEST=rm {build_dir}/setup.cfg ; rm -rf {build_dir}/scratch ; rm -f {build_dir}/test_schema.db

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html docs/build $(CURDIR)/debian/alembic/usr/share/doc/alembic/html
	dh_sphinxdoc
	rm $(CURDIR)/debian/alembic/usr/share/doc/alembic/html/_static/site_custom_css.css
endif

override_dh_auto_install:
	dh_auto_install

	mkdir -p debian/alembic/usr
	mv $(CURDIR)/debian/python3-alembic/usr/bin $(CURDIR)/debian/alembic/usr/

help2man:
	help2man --version-string=$(DEB_VERSION_UPSTREAM) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > debian/alembic.1
	sed -i "s/,\(\w\)/, \1/g" debian/alembic.1

=== debian/tests/control ===
Depends: alembic
Test-Command: alembic -h >/dev/null

=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g \
https://github.com/sqlalchemy/alembic/tags .*/rel_(\d\S+)\.tar\.gz

## alembic 1.18.4

=== debian/changelog ===
alembic (1.18.4-1) experimental; urgency=medium

  * New upstream release.
  * Removed 0001-update-the-fk_names-req.patch applied upstream.
  * Do not install /usr/lib/python3/dist-packages/alembic.ini.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 00:08:25 +0100

alembic (1.16.4-4) unstable; urgency=medium

  * Add 0001-update-the-fk_names-req.patch (Closes: #1123094).

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Dec 2025 12:11:10 +0100

alembic (1.16.4-3) unstable; urgency=medium

  * Removed python3-editor from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 30 Nov 2025 13:10:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,10 @@
 	mkdir -p debian/alembic/usr
 	mv $(CURDIR)/debian/python3-alembic/usr/bin $(CURDIR)/debian/alembic/usr/
 
+override_dh_fixperms:
+	dh_fixperms
+	rm -f $(CURDIR)/debian/python3-alembic/usr/lib/python3/dist-packages/alembic.ini
+
 help2man:
 	help2man --version-string=$(DEB_VERSION_UPSTREAM) -n "lightweight database migration tool for usage with the SQLAlchemy" -N alembic > debian/alembic.1
 	sed -i "s/,\(\w\)/, \1/g" debian/alembic.1

## alembic offline-2.0.0

=== Makefile ===
# create virtual environment
PATH := .env/bin:$(PATH)

.env:
	virtualenv .env

# install all needed for development
develop: .env
	pip install -e .[test] tox coveralls

# clean the development envrironment
clean:
	-rm -rf .env
